Download Firewall Atp Bundle

Download Firewall Atp Bundle
Download Firewall ATP Bundle (Latest)

Download the latest firewall ATP bundle. This endpoint automatically uses the latest SSP version and includes default feeds for firewall ATP bundles. No request body is required.

Request
URI
GET
https://{api_host}/1.0/bundle/download/firewallAtp
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Bundle download information retrieved successfully

Returns BundleDownloadResponse of type(s) application/json
{
    "bundle_url": "string",
    "bundle_sig_url": "string",
    "bundle_sig": "string",
    "sha256": "string"
}
string
bundle_url
Optional

URL for downloading the bundle.

string
bundle_sig_url
Optional

URL for downloading the bundle signature file.

string
bundle_sig
Optional

RSA SHA256 signature of the bundle (hex encoded).

string
sha256
Optional

SHA256 checksum of the bundle file (hex encoded).


400

Bad request - Invalid request format or parameters

Returns VcsBundleErrorResponse of type(s) application/json
{
    "error_code": 110001,
    "error_message": "The format of the request is invalid."
}
integer
error_code
Required  

Numeric error code

string
error_message
Required  

Human-readable error message


401

Unauthorized - Authentication required or invalid token

Returns VcsBundleErrorResponse of type(s) application/json
{
    "error_code": 110001,
    "error_message": "The format of the request is invalid."
}
integer
error_code
Required  

Numeric error code

string
error_message
Required  

Human-readable error message


403

Forbidden - Insufficient permissions

Returns VcsBundleErrorResponse of type(s) application/json
"VcsBundleErrorResponse Object"
integer
error_code
Required  

Numeric error code

string
error_message
Required  

Human-readable error message


500

Internal server error

Returns VcsBundleErrorResponse of type(s) application/json
"VcsBundleErrorResponse Object"
integer
error_code
Required  

Numeric error code

string
error_message
Required  

Human-readable error message


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/1.0/bundle/download/firewallAtp